/* Se citeste n, apoi numele si media a n copii
    Sa se afiseze copiii in ordine descrescatoare dupa medie
*/
#include <fstream>

struct Elev {
    std::string nume;
    double media;
};

Elev e[1000];
int n;

void CitesteElevii();
void SorteazaElevii();
void AfiseazaElevii();

int main()
{
    CitesteElevii();
    SorteazaElevii();
    AfiseazaElevii();

    return 0;
}

void CitesteElevii()
{
    std::ifstream fin("elevi.in");

    fin >> n;
    for (int i = 0; i < n; ++i)
        fin >> e[i].nume >> e[i].media;
    fin.close();
}

void SorteazaElevii()
{
    Elev aux;
    for (int i = 0; i < n - 1; ++i)
        for (int j = i + 1; j < n; ++j)
            if (e[i].media < e[j].media)
            {
                aux = e[i];
                e[i] = e[j];
                e[j] = aux;
            }
}

void AfiseazaElevii()
{
    std::ofstream fout("elevi.out");

    for (int i = 0; i < n; ++i)
        fout << e[i].nume << ' '
             << e[i].media << '\n';
    fout.close();
}
